Rumble's 4E Framework, Version 5 - Discussion

Framework(s) for D&D 4e, including Veggiesama's.

Moderators: Azhrei, dorpond, trevor, giliath, Gamerdude, jay, Mr.Ice

Chief
Kobold
Posts: 8
Joined: Wed May 14, 2014 11:44 am

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Chief »

Is it still possible to get this framework. It doesn't appear that the link at the beinging of this thread is working any longer.

Thanks in advance.

Chief

Longshot
Cave Troll
Posts: 96
Joined: Tue Feb 22, 2011 8:59 am
Location: Honolulu, Hi.

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Longshot »

Hey there Chief. I tried to strip down one of my Rumble Campaign files and upload it, but for what ever reason, it was still too large. And I can't find one of the original Rumble FW I started with. I can offer this though:

http://forums.rptools.net/download/file.php?id=7079

The importer I wrote uses the last Rumble framework. The only difference from the original is it has an import feature to work with the NPCs in Dungeons and Dragons Insider. Sorry, didn't add the PC import feature as of yet. And there are a few bug fixes.

Hope that gets the job done. Have Fun.

MeMeMe
Dragon
Posts: 256
Joined: Tue Mar 31, 2009 7:44 pm

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by MeMeMe »

Why is the download called Importer?
MapTools Forks: Thread

Longshot
Cave Troll
Posts: 96
Joined: Tue Feb 22, 2011 8:59 am
Location: Honolulu, Hi.

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Longshot »

I made it as something to import and nPCs from DDI.but it is basically the rumble game

Malcron
Kobold
Posts: 7
Joined: Thu Oct 17, 2013 8:03 pm

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Malcron »

Can't seem to get Rumble's Framework going on Maptools 91 and Java 8 (64 bit).

Any suggestions?

Longshot
Cave Troll
Posts: 96
Joined: Tue Feb 22, 2011 8:59 am
Location: Honolulu, Hi.

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Longshot »

Try running Java 7. The 64 version works.
Unless you meant that not using Java 8 is a deal breaker. Then, I'm afraid I'm not so sure.
The only other alternative is to give it a try on Mote.

Malcron
Kobold
Posts: 7
Joined: Thu Oct 17, 2013 8:03 pm

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Malcron »

I've been using 89 and java 6 (64) forever with rumbles framework.

And it never fails that someone updates their java it erases their runtime environment.

Was just hoping that with 91 we could stop that...

It's no big deal, but was just secretly wishing we could do away with it.

I'll try 7 and 91 to see if it matters.

But 89 didn't seem to work with 7 and the framework, either.

Longshot
Cave Troll
Posts: 96
Joined: Tue Feb 22, 2011 8:59 am
Location: Honolulu, Hi.

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Longshot »

I've used 91 and J7 64bit, there are performance improvements.
Testify! :)

Malcron
Kobold
Posts: 7
Joined: Thu Oct 17, 2013 8:03 pm

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Malcron »

With Rumbles Framework? That would be sweet, downloading 7 now


**** OK 7 (64) seems to work with the framweork ***

No ConcurrentModification errors

Thanks for the help!

User avatar
Deadolus
Giant
Posts: 166
Joined: Wed May 19, 2010 12:51 pm
Location: Waterloo, Ontario, Canada

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Deadolus »

Longshot wrote:I've used 91 and J7 64bit, there are performance improvements.
Testify! :)

Will give it a run.... Thanks!

User avatar
Jagged
Great Wyrm
Posts: 1306
Joined: Mon Sep 15, 2008 9:27 am
Location: Bristol, UK

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by Jagged »

I also run it with b91 on Java 7, pretty much without issue.

DevoDog
Dragon
Posts: 455
Joined: Sat Jul 12, 2008 9:56 am

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by DevoDog »

If anyone needs it, here's a copy of RFW 5.1.3.
Attachments
rfw-dnd-v513.cmpgn
(3.13 MiB) Downloaded 126 times

User avatar
StarMan
Dragon
Posts: 892
Joined: Mon Jul 18, 2011 1:10 pm
Location: Toronto

Re: Rumble's 4E Framework, Version 5 - Discussion

Post by StarMan »

Actually, a better bet may be to download Longshot's version with improved NPC importer: viewtopic.php?f=10&t=23821&p=242221#p242221 . I have never tried it so unlike the feedback on that thread I can't speak to its accuracy. However, I did watch the video and it looks very cool!
StarMan - The MacroPolicebox D&D 4E Framework: Import ANYTHING!

User avatar
StarMan
Dragon
Posts: 892
Joined: Mon Jul 18, 2011 1:10 pm
Location: Toronto

Calling all remaining Rumble fans!

Post by StarMan »

Merry Christmas to all who still use this framework! I know it's been a long time since I posted here but I had some extra time to try my hand at this idea:

Longshot wrote:... Sorry, didn't add the PC import feature as of yet. And there are a few bug fixes.

Hope that gets the job done. Have Fun.


Like Rumble himself, Longshot was a good and generous guy so I thought I would do my bit to help fulfill his promise to you. To all those who have tried out my pet project (see this post), I just wanted to let you know the procedure at the bottom of this page has been updated to allow levelling up. Just run the F5 procedure again with your levelled up dnd4e file on an already configured token. All the new weapons, magic items, powers etc. will be added without affecting the data already on the token.

Right now I am halfway through updating all the videos on this page. Needless to say my priority is to finish the MPB ones but look for a video on the F5 deal soon. I will likely tack it on to the end of the Creating Tokens by Importing section. Reply with any questions and all the best in 2017!
StarMan - The MacroPolicebox D&D 4E Framework: Import ANYTHING!

Post Reply

Return to “D&D 4e Frameworks”